SET raiz=%CD%
SET lazarus=c:\lazarus
SET resultados=C:\SimSEE\SimSEE_src

SET carpeta=ap\SimRes3
SET lpi=SimRes3
%lazarus%\lazbuild.exe -B --bm=Release %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt

SET carpeta=ap\SimRes3
SET lpi=SimRes3
%lazarus%\lazbuild.exe -B --bm=SinExcel %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_SinExcel_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_SinExcel_ERROR.txt

SET carpeta=ap\SimRes3
SET lpi=cmdsimres3
%lazarus%\lazbuild.exe -B %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt

SET carpeta=ap\editor
SET lpi=SimSEEEdit
%lazarus%\lazbuild.exe -B --bm=Release %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt

SET carpeta=ap\optsim
SET lpi=SimSEESimulador
%lazarus%\lazbuild.exe -B --bm=Release %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt

SET carpeta=ax\testSimplex
SET lpi=testSimplex
%lazarus%\lazbuild.exe -B %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt

SET carpeta=ax\DatosBin2XLT
SET lpi=datosbin2xlt
%lazarus%\lazbuild.exe -B %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt

SET carpeta=ap\cmdopt
SET lpi=cmdopt
%lazarus%\lazbuild.exe -B --bm=Release %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt

SET carpeta=ap\cmdsim
SET lpi=cmdsim
%lazarus%\lazbuild.exe -B --bm=Release %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt

SET carpeta=ax\analisisserial
SET lpi=analisisserial
%lazarus%\lazbuild.exe -B --bm=Release %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt


SET carpeta=oddface\prepare
SET lpi=oddface_prepare
%lazarus%\lazbuild.exe -B --bm=Default %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt

SET carpeta=oddface\pig
SET lpi=oddface_pig
%lazarus%\lazbuild.exe -B --bm=Release %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt

SET carpeta=ax\fraccionadorcegh
SET lpi=fraccionadorcegh
%lazarus%\lazbuild.exe -B --bm=Default %raiz%\%carpeta%\%lpi%.lpi > %resultados%\%lpi%_mkres.txt
DEL /F /Q ..\%lpi%_ERROR.txt
IF %ERRORLEVEL% NEQ 0 ECHO 'ERROR' > %resultados%\%lpi%_ERROR.txt
